import request from '@/router/axios'

// 获取批量下发积分包弹窗的历史记录
export function getBatchHistory(query) {
  return request({
    url: '/admin/wmscorepackage/batch/history',
    method: 'get',
    params: query
  })
}

// 批量下发积分包
export function batchGeneratePakage(data) {
  return request({
    url: '/admin/wmscorepackage/batch',
    method: 'post',
    // headers: {
    //   'Content-Type': 'multipart/form-data'
    // },
    data
  })
}

// 获取预结算信息
export function getPreSettleInfo(data) {
  return request({
    url: '/admin/settle/pre-settle-info',
    method: 'post',
    data
  })
}

// 获取积分包号
export function getPackageSn(query) {
  return request({
    url: '/admin/wmscorepackage/sn',
    method: 'get',
    params: query
  })
}
